For the complete documentation index, see llms.txt. This page is also available as Markdown.

Release

get

Release Resource Fields

Field

id

created_at

belongs_to__application

is_created_by__user

raw_version

semver

semver_major

semver_minor

semver_patch

semver_prerelease

semver_build

revision

variant

commit

composition

status

source

build_log

start_timestamp

end_timestamp

update_timestamp

is_invalidated

release_version

note

contract


Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get/v7/release
GET /v7/release HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
get/v7/release(<ID>)
GET /v7/release(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
patch/v7/release(<ID>)
PATCH /v7/release(<ID>) HTTP/1.1
Host: api.balena-cloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?